
package mastermind.client;

import mastermind.logic.ArgParser;
import mastermind.logic.SettingsHandler;
import mastermind.model.Settings;
import org.junit.Test;
import static org.junit.Assert.*;

/**
 *
 * @author Felix Rohrer <felix.rohrer@stud.hslu.ch>
 */
public class ClientConsoleTest {

    /**
     * 
     */
    public ClientConsoleTest()
    {
    }

    /**
     * Test of runClient method, of class ClientConsole.
     */
    @Test
    public void testRunClient()
    {
        System.out.println("runClient (nothing to test so far...)");
        // TODO review the generated test code....
    }

    /**
     * Test of setSettings method, of class ClientConsole.
     */
    @Test
    public void testSetSettings()
    {
        System.out.println("setSettings");
        String[] cmdArgs = new String[]{"-c=4", "-p=4", "-a=8", "-s=1234"};
        ArgParser parser = new ArgParser(cmdArgs);
        ClientConsole instance = new ClientConsole();
        instance.setSettings(parser);
        // number of Colors
        Settings settings = SettingsHandler.getInstance().getSettings();
        // testGetNumberOfColors()
        System.out.println("setSettings: getNumberOfColors");
        assertEquals(4, settings.getNumberOfColors());
        // testGetAllowDuplicateColor
        System.out.println("setSettings: getAllowDuplicateColor");
        assertEquals(false, settings.getAllowDuplicateColor());
        // testGetNumberOfPegs
        System.out.println("setSettings: getNumberOfPegs");
        assertEquals(4, settings.getNumberOfPegs());
        // testGetNumberOfRows
        System.out.println("setSettings: getNumberOfRows");
        assertEquals(8, settings.getNumberOfRows());
    }

}